Bug 152093 - CAN-2005-1046 PCX file integer overflow
CAN-2005-1046 PCX file integer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
impact=important,public=20050324,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 14:44 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.3.1-2.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 07:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-24 14:44:24 EST
+++ This bug was initially created as a clone of Bug #152092 +++

Some corrupt PCX files crash gwenview badly and it could maybe be exploitable. 

More information is available in the KDE bugzilla:
http://bugs.kde.org/show_bug.cgi?id=102328
Comment 1 Josh Bressers 2005-03-24 14:45:01 EST
This issue should also affect FC2.
Comment 2 Ngo Than 2005-04-18 11:08:00 EDT
it's fixed 3.3.1-2.10.FC3. fc2 is not supported anymore.
Comment 3 Walter Justen 2005-08-19 07:04:31 EDT
Thanks for the bug report. This particular bug was fixed and a update package
was published for download. Please feel free to report any further bugs you find.

Note You need to log in before you can comment on or make changes to this bug.